Index: trunk/admin/modules/Elezioni/importa.php
===================================================================
--- trunk/admin/modules/Elezioni/importa.php	(revision 111)
+++ trunk/admin/modules/Elezioni/importa.php	(revision 257)
@@ -42,7 +42,11 @@
 	if(isset($valori)){
 
-		$res_gruppo = mysql_query("insert into ".$prefix."_ele_gruppo values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire i gruppi nel database! contattare l'amministratore".mysql_error());
-		$resnew = mysql_query("select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'" ,$dbi);
-		list ($newidg) = mysql_fetch_row($resnew);
+		$sql="insert into ".$prefix."_ele_gruppo values($valori)";
+		$res_gruppo = $dbi->prepare("$sql");
+		$res_gruppo->execute();	
+		$sql="select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'";
+		$resnew = $dbi->prepare("$sql");
+		$resnew->execute();	
+		list ($newidg) = $resnew->fetch(PDO::FETCH_NUM);
 		unset($valori);
 		if($oldidg)
@@ -74,7 +78,11 @@
 		if(isset($valori)){
 		if ($okl) {$okl=0;continue;}
-		$res_lista = mysql_query("insert into ".$prefix."_ele_lista values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire le liste nel database! contattare l'amministratore".mysql_error());
-		$reslnew = mysql_query("select id_lista from ".$prefix."_ele_lista where num_lista='$numlista' and id_cons='$idcns'" ,$dbi);
-		list ($newidl) = mysql_fetch_row($reslnew);
+		$sql="insert into ".$prefix."_ele_lista values($valori)";
+		$res_lista = $dbi->prepare("$sql");
+		$res_lista->execute();	
+		$sql="select id_lista from ".$prefix."_ele_lista where num_lista='$numlista' and id_cons='$idcns'";
+		$reslnew = $dbi->prepare("$sql");
+		$reslnew->execute();	
+		list ($newidl) = $reslnew->fetch(PDO::FETCH_NUM);
 		unset($valori);
 		if($oldidl)
@@ -105,5 +113,7 @@
 			if(isset($valori)){
 				if ($okc) {$okc=0;continue;}
-				$res_lista = mysql_query("insert into ".$prefix."_ele_candidati values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire i candidati nel database! contattare l'amministratore".mysql_error());
+				$sql="insert into ".$prefix."_ele_candidati values($valori)";
+				$res_lista = $dbi->prepare("$sql");
+				$res_lista->execute();	
 			}
 		}
@@ -115,6 +125,8 @@
 
 
-$res = mysql_query("SELECT t1.id_cons, t2.descrizione FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_consultazione as t2 on t1.id_cons_gen=t2.id_cons_gen where t1.id_comune='$id_comune' and t2.id_cons_gen='$id_cons_gen'" , $dbi);
-list($id_cons,$descrizione) = mysql_fetch_row($res);
+$sql="SELECT t1.id_cons, t2.descrizione FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_consultazione as t2 on t1.id_cons_gen=t2.id_cons_gen where t1.id_comune='$id_comune' and t2.id_cons_gen='$id_cons_gen'";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($id_cons,$descrizione) = $res->fetch(PDO::FETCH_NUM);
  if (!isset($_FILES['datafile']['tmp_name']) or !is_uploaded_file($_FILES['datafile']['tmp_name'])) 
 	{
@@ -132,13 +144,31 @@
 }else{
 $idcns=$id_cons; 
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_ref where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_lista where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("update ".$prefix."_ele_sezioni set validi='0', contestati='0', validi_lista='0', nulli='0',bianchi='0',contestati_lista='0', voti_nulli_lista='0'  where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_candidati where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_lista where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_gruppo where id_cons=$idcns" ,$dbi);
+$sql="delete from ".$prefix."_ele_voti_ref where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_voti_lista where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="update ".$prefix."_ele_sezioni set validi='0', contestati='0', validi_lista='0', nulli='0',bianchi='0',contestati_lista='0', voti_nulli_lista='0'  where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_candidati where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_lista where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_gruppo where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
 $datafile=$_FILES['datafile']['tmp_name'];
 $arrFile = file($datafile);
